Bug 1701012 - Many packages require rebuild for Meson 0.50.0 execstack bug
Summary: Many packages require rebuild for Meson 0.50.0 execstack bug
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 30
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords: Reopened
Depends On:
Blocks: F30FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-04-17 19:12 UTC by Adam Williamson
Modified: 2019-04-28 08:19 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-28 08:19:08 UTC


Attachments (Terms of Use)

Description Adam Williamson 2019-04-17 19:12:48 UTC
I'm filing this as a follow-on from https://bugzilla.redhat.com/show_bug.cgi?id=1699099 . The main update (containing the fixed meson itself, gnome-initial-setup, and many other packages) has now been pushed stable, and the blocker aspects of the bug should be resolved. But several updates remain outstanding. These are the cases where an update was *already pending* for one of the rebuilt packages. For these cases I did not include the rebuilt package in the main update, but edited the existing update to include the rebuilt package.

I will edit all those updates and mark them as associated with this bug, so once they are all pushed stable we know the problem has been fully addressed and we can close this.

I am proposing this bug as a freeze exception. There are some cases where it makes sense to push these updates during the freeze. There are basically two possible cases:

1. The current stable package was built with Meson 0.50.0: in these cases, we should push the rebuild update stable during the freeze, so we do not have unnecessarily execstack-marked bits in the release

2. The current stable package was built with Meson 0.49 or earlier: in these cases, there's no need to push the rebuild update stable during the freeze, it can wait till after

I will track the different cases and only submit push requests for updates in the first category.

Comment 1 Fedora Update System 2019-04-17 19:15:29 UTC
dippi-2.7.3-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a13be4497

Comment 2 Fedora Update System 2019-04-17 19:15:38 UTC
elementary-files-4.1.7-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bb7c97947f

Comment 3 Fedora Update System 2019-04-17 19:15:52 UTC
elementary-photos-2.6.3-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-83c33a90d2

Comment 4 Fedora Update System 2019-04-17 19:15:58 UTC
lollypop-1.0.6-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0a5a7e96d9

Comment 5 Fedora Update System 2019-04-17 19:16:07 UTC
cutter-re-1.8.0-3.fc30 radare2-3.4.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-88abfa74cb

Comment 6 Fedora Update System 2019-04-17 19:16:14 UTC
sequeler-0.7.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d011ecc5b4

Comment 7 Fedora Update System 2019-04-17 19:16:23 UTC
switchboard-plug-bluetooth-2.2.2-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6241dc4fc3

Comment 8 Fedora Update System 2019-04-17 19:16:35 UTC
switchboard-plug-mouse-touchpad-2.2.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37efac3628

Comment 9 Fedora Update System 2019-04-17 19:16:43 UTC
switchboard-plug-sound-2.2.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dd1e9638ab

Comment 10 Fedora Update System 2019-04-17 19:40:32 UTC
lollypop-1.0.6-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6a464f691

Comment 11 Fedora Update System 2019-04-18 18:24:40 UTC
lollypop-1.0.6-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6a464f691

Comment 12 Zbigniew Jędrzejewski-Szmek 2019-04-19 09:00:00 UTC
+1 FE

Comment 13 Fedora Update System 2019-04-21 05:42:24 UTC
appstream-generator-0.7.7-1.fc30 gir-to-d-0.19.0-1.fc30 glibd-2.1.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-146f3a7d7f

Comment 14 Geoffrey Marr 2019-04-22 18:02:21 UTC
Discussed during the 2019-04-22 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is desirable from a security standpoint to avoid having packages built with 0.50.0 in the frozen release repos, so this is accepted as an FE. Only cases where the current stable package was built with 0.50.0 will be pushed.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-04-22/f30-blocker-review.2019-04-22-16.00.txt

Comment 15 Fedora Update System 2019-04-23 17:30:20 UTC
elementary-files-4.1.7-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-04-23 17:30:22 UTC
switchboard-plug-sound-2.2.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-04-23 17:30:23 UTC
sequeler-0.7.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-04-23 17:30:26 UTC
appstream-generator-0.7.7-1.fc30, gir-to-d-0.19.0-1.fc30, glibd-2.1.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-04-23 17:30:28 UTC
lollypop-1.0.6-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Adam Williamson 2019-04-23 18:11:57 UTC
sigh, gir-to-d update shouldn't have been marked as fixing this...

Comment 21 Fedora Update System 2019-04-27 21:23:22 UTC
cutter-re-1.8.0-3.fc30, radare2-3.4.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-04-27 21:24:20 UTC
switchboard-plug-bluetooth-2.2.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-04-27 21:24:30 UTC
dippi-2.7.3-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-04-27 21:24:33 UTC
switchboard-plug-mouse-touchpad-2.2.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-04-27 21:25:34 UTC
elementary-photos-2.6.3-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Zbigniew Jędrzejewski-Szmek 2019-04-28 08:19:08 UTC
It seems all the updates were pushed. Let's close this.


Note You need to log in before you can comment on or make changes to this bug.